# Generated from magistrate_monitor-0.5.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name magistrate_monitor

Name: rubygem-%{gem_name}
Version: 0.5.1
Release: 1%{?dist}
Summary: The user frontend to monitoring and managing the magistrate gem
License: MIT
URL: http://github.com/drewblas/magistrate_monitor
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.6.0
# BuildRequires: rubygem(rspec) < 2.7
# BuildRequires: rubygem(rcov)
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(mongrel)
# BuildRequires: rubygem(rack-test)
BuildArch: noarch

%description
Receives checkins from the magistrate gem and sends back commands.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/config.ru
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/magistrate_monitor.gemspec
%{gem_instdir}/spec

%changelog
* Tue Aug 24 2021 mockbuilder - 0.5.1-1
- Initial package
